## netmrg 0.18.2

=== share/images/default/Makefile ===
.SUFFIXES: .svg

BATIK = batik-rasterizer
FILES = status-unknown-trig.svg status-unknown-untrig.svg status-good-trig.svg status-good-untrig.svg status-warning-trig.svg status-warning-untrig.svg status-critical-trig.svg status-critical-untrig.svg viewgraph-on.svg viewgraph-off.svg

all : $(FILES)
	@$(BATIK) -h 15 applytemplate.svg
	@$(BATIK) -h 15 edit.svg
	@$(BATIK) -h 15 delete.svg
	@$(BATIK) -h 15 disk.svg
	@$(BATIK) -h 15 duplicate.svg
	@$(BATIK) -h 15 recachedisk.svg
	@$(BATIK) -h 15 recacheinterface.svg
	@$(BATIK) -h 15 parameters.svg
	@$(BATIK) -h 15 slideshow.svg
	@$(BATIK) -h 15 view.svg
	@$(BATIK) -h 15 viewdisk.svg
	@$(BATIK) -h 15 viewinterface.svg
	@$(BATIK) -h 15 viewgraph-on.svg
	@$(BATIK) -h 15 viewgraph-off.svg
	@$(BATIK) -h 35 -d netmrg-logo-small.png netmrg-logo.svg
	@$(BATIK) -h 100 -d netmrg-logo-medium.png netmrg-logo.svg
	@$(BATIK) -h 250 -d netmrg-logo-large.png netmrg-logo.svg

arrow:
	@cp arrow.svg arrow-up.svg
	@$(BATIK) -h 15 arrow-up.svg
	@convert -rotate 90 arrow-up.png arrow-right.png
	@convert -rotate 180 arrow-up.png arrow-down.png
	@convert -rotate 270 arrow-up.png arrow-left.png
	@cat arrow-up.svg | perl -ne 's/#000000/#808080/; s/#333333/#A0A0A0/; print;' > arrow-up-disabled.svg
	@$(BATIK) -h 15 arrow-up-disabled.svg
	@convert -rotate 90 arrow-up-disabled.png arrow-right-disabled.png
	@convert -rotate 180 arrow-up-disabled.png arrow-down-disabled.png
	@convert -rotate 270 arrow-up-disabled.png arrow-left-disabled.png

status:
	@$(MAKE) -s createstatus C1="#ff0000" C2="#ff4c4c" NAME="status-critical-trig.svg"
	@$(MAKE) -s createstatus C1="#ff0000" C2="#7f4c4c" NAME="status-critical-untrig.svg"
	@$(MAKE) -s createstatus C1="#009000" C2="#009000" NAME="status-good-trig.svg"
	@$(MAKE) -s createstatus C1="#009000" C2="#002000" NAME="status-good-untrig.svg"
	@$(MAKE) -s createstatus C1="#0000bf" C2="#4c4cc0" NAME="status-unknown-trig.svg"
	@$(MAKE) -s createstatus C1="#0000bf" C2="#4c4c7f" NAME="status-unknown-untrig.svg"
	@$(MAKE) -s createstatus C1="#e6e600" C2="#e6e500" NAME="status-warning-trig.svg"
	@$(MAKE) -s createstatus C1="#e6e600" C2="#999900" NAME="status-warning-untrig.svg"

viewgraph:
	@cp -f viewgraph.svg viewgraph-on.svg
	@cat viewgraph.svg | perl -ne 's/stroke:#e67f00;/stroke:#606060;/; s/fill:#e67f00;/fill:#606060;/; print;' > viewgraph-off.svg

createstatus:
	@cat status.svg | perl -ne 's/#7f7f7f/$(C1)/; s/#4c4c4c/$(C2)/; print;' > $(NAME)

%.svg: status viewgraph arrow
	@$(BATIK) -h 15 $@

clean:
	rm -f $(FILES)

## netmrg 0.19

=== share/images/default/Makefile ===
--- 
+++ 
@@ -34,6 +34,18 @@
 	@convert -rotate 180 arrow-up-disabled.png arrow-down-disabled.png
 	@convert -rotate 270 arrow-up-disabled.png arrow-left-disabled.png
 
+arrow_limit:
+	@cp arrow_limit.svg arrow_limit-up.svg
+	@$(BATIK) -h 15 arrow_limit-up.svg
+	@convert -rotate 90 arrow_limit-up.png arrow_limit-right.png
+	@convert -rotate 180 arrow_limit-up.png arrow_limit-down.png
+	@convert -rotate 270 arrow_limit-up.png arrow_limit-left.png
+	@cat arrow_limit-up.svg | perl -ne 's/#000000/#808080/; s/#333333/#A0A0A0/; print;' > arrow_limit-up-disabled.svg
+	@$(BATIK) -h 15 arrow_limit-up-disabled.svg
+	@convert -rotate 90 arrow_limit-up-disabled.png arrow_limit-right-disabled.png
+	@convert -rotate 180 arrow_limit-up-disabled.png arrow_limit-down-disabled.png
+	@convert -rotate 270 arrow_limit-up-disabled.png arrow_limit-left-disabled.png
+
 status:
 	@$(MAKE) -s createstatus C1="#ff0000" C2="#ff4c4c" NAME="status-critical-trig.svg"
 	@$(MAKE) -s createstatus C1="#ff0000" C2="#7f4c4c" NAME="status-critical-untrig.svg"

## netmrg 0.20

=== share/images/default/Makefile ===
--- 
+++ 
@@ -11,6 +11,7 @@
 	@$(BATIK) -h 15 duplicate.svg
 	@$(BATIK) -h 15 recachedisk.svg
 	@$(BATIK) -h 15 recacheinterface.svg
+	@$(BATIK) -h 15 recacheproperties.svg
 	@$(BATIK) -h 15 parameters.svg
 	@$(BATIK) -h 15 slideshow.svg
 	@$(BATIK) -h 15 view.svg

=== debian/changelog ===
netmrg (0.20-7.2) unstable; urgency=medium

  * Fix usage of dh_autotools-dev_updateconfig.

 -- Andreas Beckmann <anbe@debian.org>  Tue, 17 Jan 2017 01:06:10 +0100

netmrg (0.20-7.1) unstable; urgency=medium

  * Non-maintainer upload.
  * PHP 7.0 transition, based on patch from Ubuntu.  (Closes: #821537)
  * Switch Build-Depends to default-libmysqlclient-dev.  (Closes: #790454)
  * Switch Depends/Recommends to default-mysql-* | virtual-mysql-*.
    (Closes: #848476, #732898)
  * Add Brazilian Portuguese (pr_BR) debconf translation, thanks to
    José de Figueiredo.  (Closes: #771130)
  * Add missing build-{arch,indep} targets.
  * Build with autotools-dev to update config.{sub,guess}.
  * Switch to source format 3.0 (quilt).

 -- Andreas Beckmann <anbe@debian.org>  Sat, 14 Jan 2017 23:15:26 +0100

netmrg (0.20-7) unstable; urgency=low

  * l10n improvements:
    - add Japanese debconf translation (Closes: #718757)

 -- Uwe Steinmann <steinm@debian.org>  Fri, 16 Aug 2013 07:53:14 +0200

netmrg (0.20-6.2) unstable; urgency=low

  * Non-maintainer upload.
  * Fix "FTBFS with multiarch net-snmp":
    apply patch from Ubuntu / Colin Watson:

  - Work around configure wanting to know too much detail about where a
    system libsnmp.so is installed rather than trusting the linker.

    (Closes: #709055)

  * Add build-dependency on docbook-xml, otherwise xsltproc tries to download
    the dtd from the net.

 -- gregor herrmann <gregoa@debian.org>  Thu, 30 May 2013 13:38:37 +0200

netmrg (0.20-6.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix "modifies conffiles (policy 10.7.3): /etc/netmrg/netmrg.xml":
    install only the template netmrg.xml and not the copy under /etc; 
    .postinst uses the template already, if the "original" is not there,
    .config and .postrm also contain the necessary machinery.
    (Closes: #688499)
  * l10n improvements:
    - add Italian debconf translation, thanks Beatrice Torracca
      (Closes: #665702)
    - fix typos, thanks Daniele Forsi and Christian PERRIER
      (Closes: #662164)
    - convert de.po to UTF-8

 -- gregor herrmann <gregoa@debian.org>  Thu, 04 Oct 2012 18:36:03 +0200

netmrg (0.20-6) unstable; urgency=low

  * Some more minor corrections for nl and da translation in debconf,
    which I forgot last time Closes: 658469

 -- Uwe Steinmann <steinm@debian.org>  Mon, 6 Feb 2012 07:56:37 +0100

netmrg (0.20-5) unstable; urgency=low

  * Fixed typos in debconf tempaltes and unfuzzy translations.
    (Christian Perrier) Closes: #656257
  * Added danish translation (Joe Hansen) Closes: #596466
  * Added dutch translation (Jeroen Schot) Closes: #655337
  * Fixed various lintian warnings

 -- Uwe Steinmann <steinm@debian.org>  Fri, 20 Jan 2012 08:08:28 +0100

netmrg (0.20-4) unstable; urgency=low

  * Added spanish translation (Closes: #559015)
  * Added swedish translation (Closes: #513657)

 -- Uwe Steinmann <steinm@debian.org>  Tue, 1 Dec 2009 09:36:01 +0100

netmrg (0.20-3) unstable; urgency=low

  * Added russian translation (Closes: #556742)

 -- Uwe Steinmann <steinm@debian.org>  Sat, 22 Nov 2009 22:04:36 +0100

netmrg (0.20-2.1) unstable; urgency=low

  * Non-maintainer upload.
  * Version rrdtool build-dependency to >= 1.3.1-4 to avoid
    rrdtool segfaults during build. (Closes: #494221)

 -- Thomas Viehmann <tv@beamnet.de>  Fri, 03 Oct 2008 23:03:33 +0200

netmrg (0.20-2) unstable; urgency=low

  * Create temp directory in rrdedit (Closes: #496384)

 -- Uwe Steinmann <steinm@debian.org>  Fri, 28 Aug 2008 16:28:06 +0200

netmrg (0.20-1) unstable; urgency=low

  * New upstream release

 -- Uwe Steinmann <steinm@debian.org>  Fri, 02 May 2008 09:00:22 +0200

netmrg (0.19-4.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix gcc-4.3 FTBFS, patch by KiBi (Closes: #455445)

 -- Marc 'HE' Brockschmidt <he@debian.org>  Sun, 16 Mar 2008 19:12:14 +0100

netmrg (0.19-4) unstable; urgency=low

  * netmrg-gather is less verbose when run in cron job to prevent
    sending a mail every five minutes (Closes: #445027)

 -- Uwe Steinmann <steinm@debian.org>  Wed, 03 Oct 2007 22:55:42 +0200

netmrg (0.19-3) unstable; urgency=low

  * do not check if /usr/share/debconf/confmodule is executable
    in postrm, because it isn't. Only check if it is present.

 -- Uwe Steinmann <steinm@debian.org>  Wed, 29 Aug 2007 16:48:32 +0200

netmrg (0.19-2) unstable; urgency=low

  * do not include gettext.h in src/include/common.h because it doesn't
    compile on amd64. include libintl.h instead (closes: #439653)

 -- Uwe Steinmann <steinm@debian.org>  Wed, 29 Aug 2007 15:58:33 +0200

netmrg (0.19-1) unstable; urgency=low

  * New upstream release
  * fixed many lintian errors in deb conf questions
  * fixed linitan error debian-rules-ignores-make-clean-error
  * updated translation of debconf po files (Closes: #429347)

 -- Uwe Steinmann <steinm@debian.org>  Wed, 22 Aug 2007 15:10:21 +0200

netmrg (0.18.2-17) unstable; urgency=low

  * set home of new user netmrg to /var/lib/netmrg
  * added configuration for php5 in apache config file netmrg.conf
  * setting min/max value of graphs no longer fails. Backport from
    version 0.19. (Closes: #412548)

 -- Uwe Steinmann <steinm@debian.org>  Tue, 29 May 2007 12:25:25 +0200

netmrg (0.18.2-16) unstable; urgency=low

  * Added new script linuxpmu.sh to read data from /proc/pmu
  * Fixed error in sql statement in conditions.php because the
    field name 'condition' is a reserved word.
  * Fixed lintian error in netmrg.doc-base by removing empty
    lines from the end of the file

 -- Uwe Steinmann <steinm@debian.org>  Mon, 28 May 2007 12:56:05 +0200

netmrg (0.18.2-15) unstable; urgency=low

  * netmrg_cron.sh doesn't stumple over a stale logfile anymore
    (Closes: #386109)
  * added script to get cpu temperature reported by lmsensors (Closes: #412555)
    many thanks to Francois Gouget for providing this script
  * improved script linux26diskaccess.pl can now also report the number


=== debian/control ===
Source: netmrg
Section: net
Priority: optional
Maintainer: Uwe Steinmann <steinm@debian.org>
Build-Depends:
 debhelper (>= 5),
 autotools-dev,
 debconf,
 rrdtool (>= 1.3.1-4),
 libxml2-dev,
 default-libmysqlclient-dev,
 libsnmp-dev,
 xsltproc,
 docbook-xsl,
 docbook-xml,
Standards-Version: 3.7.2

Package: netmrg
Architecture: any
Depends:
 adduser,
 rrdtool,
 apache2 | httpd,
 php | php-cgi,
 php-cli,
 php-mysql,
 default-mysql-client | virtual-mysql-client,
 debconf,
 wwwconfig-common,
 ${shlibs:Depends},
 ${misc:Depends}
Suggests:
 default-mysql-server | virtual-mysql-server,
Description: network monitoring tool
 NetMRG is a database-driven network monitoring
 and graphing tool for use on Linux systems. It offers an intuitive
 web-based configuration, customized monitoring capabilities for
 unusual situations, a fast multi-threaded polling application, and
 brilliant graphs rendered by RRDTOOL.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1


# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
DEB_HOST_MULTIARCH  ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)


CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	INSTALL_PROGRAM += -s
endif

ifneq (,$(wildcard /usr/lib/$(DEB_HOST_MULTIARCH)/libsnmp.so))
	confflags := --with-snmp-lib-dir=/usr/lib/$(DEB_HOST_MULTIARCH)
else
	confflags :=
endif

config.status: configure
	dh_testdir
	dh_autotools-dev_updateconfig
	# Add here commands to configure the package.
	CFLAGS="$(CFLAGS)" ./configure --host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE) --prefix=/usr --mandir=\$${prefix}/share/man --infodir=\$${prefix}/share/info --sysconfdir=/etc/netmrg --localstatedir=/var --libexecdir=/usr/lib $(confflags)


build: build-arch build-indep
build-indep:
build-arch: build-stamp

build-stamp:  config.status
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)
	#/usr/bin/docbook-to-man debian/netmrg.sgml > netmrg.1
	(cd debian; xsltproc -''-nonet /usr/share/sgml/docbook/stylesheet/xsl/nwalsh/manpages/docbook.xsl rrdedit.xml)

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp 
	rm -f debian/rrdedit.1

	# Add here commands to clean up after the build process.
	[ ! -f Makefile ] || $(MAKE) distclean
	dh_autotools-dev_restoreconfig
	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs

	# Add here commands to install the package into debian/netmrg.
	$(MAKE) install DESTDIR=$(CURDIR)/debian/netmrg netmrg_share_docdir=/usr/share/doc/netmrg netmrg_share_htmldir=/usr/share/doc/netmrg/html netmrg_wwwdir=/usr/share/netmrg
	mv $(CURDIR)/debian/netmrg/etc/netmrg/netmrg.xml $(CURDIR)/debian/netmrg/usr/share/netmrg/netmrg.xml.sample
	rm -f $(CURDIR)/debian/netmrg/usr/share/doc/netmrg/INSTALL
	rm -f $(CURDIR)/debian/netmrg/usr/share/doc/netmrg/LICENSE
	chmod 744 $(CURDIR)/debian/netmrg/usr/share/netmrg/contrib/bindstats/dnsstats


# Build architecture-independent files here.
binary-indep: build-indep install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build-arch install
	dh_testdir
	dh_testroot
	dh_installchangelogs -k share/doc/ChangeLog
	dh_installdocs
	dh_installexamples
#	dh_install
#	dh_installmenu
	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_installinit
	dh_installcron
#	dh_installinfo
	dh_installman $(CURDIR)/debian/rrdedit.1
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_python
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build build-arch build-indep clean binary-indep binary-arch binary install

=== debian/watch ===
# Example watch control file for uscan
# Rename this file to "watch" and then you can run the "uscan" command
# to check for upstream updates and more.
# Site		Directory		Pattern			Version	Script
version=2
http://www.netmrg.net/download/release/netmrg-([\d\.]*)\.tar\.gz	debian	uupdate
